For the complete documentation index, see llms.txt. This page is also available as Markdown.

Actions

Introduction

Actions define "what" should happen after a Trigger has been evaluated.

An Action belongs to a Trigger and executes logic based on its type and config (for example webhook, notify, createTaskAssignment, ...).

Actions can be targeted to users/departments and can be overwritten in specific contexts via ActionOverwrites.

Model Definition

Relations

Key
Relation
Type
Relation Field(s)

trigger

Belongs To

trigger_id

actionExecutions

ActionExecution

Has Many

action_id

users

User

Belongs To Many

Pivot user_action

departments

Department

Belongs To Many

Pivot department_action

Traits

  • HasProcessors

  • HasTargetables

  • HasTriggers

  • SoftDeletes

  • Sortable

  • HasFactory

  • Translatable

  • Decoratable

Action Types

Create

Create a new Action.

Definition

POST /api/actions

Request Keys

Key
Type
Default
Description

title*

string

-

Action title.

trigger_id*

integer

-

ID of the related Trigger.

lang_id

string

system language

Language for translatable Action fields. If omitted, the system language is used.

type*

string

-

Action type. Allowed values: createTaskAssignment, fileMove, filemanagerSync, notify, userSync, webhook.

on_condition

boolean

true

Whether the Action runs on fulfilled (true) or failed (false) condition branch.

tries

integer

1

Number of retry attempts for execution.

timeout

integer

120

Timeout in seconds for execution.

config*

object

default config by type

Type-specific configuration payload.

assign_mode

string

none

Targeting strategy. Allowed values: null (none), all, all_users, all_group_accounts, any_of, one_of, any_of_user, one_of_user.

computed_targetable_type

string | null

null

Optional computed targetable resolver type (depends on Action type). Available values: for_executing_department, for_executing_real_department, for_executing_user, for_executing_real_user, from_task_assignment, from_workflow_node, from_entity_select_fields_users, from_entity_select_fields_departments, for_workflow_node_department, for_workflow_node_executed_user_department, for_workflow_node_user, for_workflow_node_executed_user, for_system_variable_users, for_system_variable_departments.

active

boolean

true

Whether the Action is active.

sort_number

integer

-

Sort order inside the Trigger branch.

user_ids

integer[]

[] (for assign mode none/all/...)

Explicit target users.

department_ids

integer[]

[] (for assign mode none/all/...)

Explicit target departments.

Keys marked with * are required.

Example Request

Example Response

Update

Update an existing Action.

Definition

PUT /api/actions/{action}

Request Keys

Key
Type
Default
Description

title

string

-

Updated Action title.

trigger_id

integer

-

New Trigger ID.

lang_id

string

-

Updated language for translatable fields.

type

string

current Action type

Updated Action type. Allowed values: createTaskAssignment, fileMove, filemanagerSync, notify, userSync, webhook.

on_condition

boolean

-

Updated branch behavior.

tries

integer

-

Updated retry attempts.

timeout

integer

-

Updated timeout in seconds.

config

object

default config by type (only if type changed and config omitted)

Updated type-specific config payload.

assign_mode

string

current assign mode

Updated targeting strategy. Allowed values: null (none), all, all_users, all_group_accounts, any_of, one_of, any_of_user, one_of_user.

computed_targetable_type

string | null

-

Updated computed targetable resolver type (depends on Action type). Available enum values: for_executing_department, for_executing_real_department, for_executing_user, for_executing_real_user, from_task_assignment, from_workflow_node, from_entity_select_fields_users, from_entity_select_fields_departments, for_workflow_node_department, for_workflow_node_executed_user_department, for_workflow_node_user, for_workflow_node_executed_user, for_system_variable_users, for_system_variable_departments.

active

boolean

-

Updated active state.

sort_number

integer

-

Updated sort order.

user_ids

integer[]

[] (for assign mode none/all/...)

Updated target users.

department_ids

integer[]

[] (for assign mode none/all/...)

Updated target departments.

All keys are optional for Update.

Example Request

Example Response

Delete

Delete an Action.

Definition

DELETE /api/actions/{action}

Example Request

Example Response

Last updated